summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2008-04-20 23:18:48 +0200
committerJim Meyering <meyering@redhat.com>2008-04-20 23:18:48 +0200
commitfdb7e5b44ce87d725e5e7bca3746c494cfa47fd2 (patch)
tree93093ba36335fefd308f0a68fb47b7e6914c1997
parentb29e812e824ac86464dc05e066f8adc5fe2e46ad (diff)
downloadcoreutils-fdb7e5b44ce87d725e5e7bca3746c494cfa47fd2.tar.xz
Use "env" to invoke potential built-ins.
* tests/misc/pwd-unreadable-parent: Invoke pwd via "env -- pwd", rather than via an absolute name. * tests/touch/not-owner: Likewise for test. * tests/chmod/setgid: Likewise.
-rwxr-xr-xtests/chmod/setgid8
-rwxr-xr-xtests/misc/pwd-unreadable-parent8
-rwxr-xr-xtests/touch/not-owner5
3 files changed, 8 insertions, 13 deletions
diff --git a/tests/chmod/setgid b/tests/chmod/setgid
index d5d35f976..cee9ca6bb 100755
--- a/tests/chmod/setgid
+++ b/tests/chmod/setgid
@@ -2,7 +2,7 @@
# Make sure GNU chmod works the same way as those of Solaris, HPUX, AIX
# wrt directories with the setgid bit set.
-# Copyright (C) 2001, 2004-2007 Free Software Foundation, Inc.
+# Copyright (C) 2001, 2004-2008 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -25,12 +25,10 @@ fi
. $srcdir/../lang-default
. $srcdir/../test-lib.sh
-test=$abs_top_builddir/src/test
-
umask 0
mkdir d || framework_failure
-chmod g+s d 2> /dev/null && "$test" -g d ||
+chmod g+s d 2> /dev/null && env -- test -g d ||
{
# This is required because on some systems (at least NetBSD 1.4.2A),
# it may happen that when you create a directory, its group isn't one
@@ -44,7 +42,7 @@ chmod g+s d 2> /dev/null && "$test" -g d ||
}
# "chmod g+s d" does nothing on some NFS file systems.
-"$test" -g d ||
+env -- test -g d ||
skip_test_ 'cannot create setgid directories'
fail=0
diff --git a/tests/misc/pwd-unreadable-parent b/tests/misc/pwd-unreadable-parent
index c7cde7542..370a0d0ad 100755
--- a/tests/misc/pwd-unreadable-parent
+++ b/tests/misc/pwd-unreadable-parent
@@ -3,7 +3,7 @@
# is unreadable. Perform this test only on systems with a usable getcwd
# function that has this capability.
-# Copyright (C) 2007 Free Software Foundation, Inc.
+# Copyright (C) 2007-2008 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -20,7 +20,7 @@
if test "$VERBOSE" = yes; then
set -x
- pwd --version
+ env -- pwd --version
readlink --version
fi
@@ -38,10 +38,8 @@ mkdir -p a/b || framework_failure
cd a/b || framework_failure
chmod a=x .. || framework_failure
-pwd_exe="$abs_top_builddir/src/pwd"
-
fail=0
-"$pwd_exe" > exp || fail=1
+env -- pwd > exp || fail=1
readlink -ev . > out || fail=1
compare out exp || fail=1
diff --git a/tests/touch/not-owner b/tests/touch/not-owner
index 0723eade2..3f133f1e3 100755
--- a/tests/touch/not-owner
+++ b/tests/touch/not-owner
@@ -25,12 +25,11 @@ fi
. $srcdir/../lang-default
. $srcdir/../test-lib.sh
-test=$abs_top_builddir/src/test
-if $test -w /; then
+if env -- test -w /; then
skip_test_ you have write access to /.
fi
-if $test -O / || $test -G /; then
+if env -- test -O / || env -- test -G /; then
skip_test_ "you own /."
fi